Index: /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java
===================================================================
--- /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5548)
+++ /ComponentRegistry/trunk/ComponentRegistry/src/test/java/clarin/cmdi/componentregistry/rest/ComponentRegistryRestServiceTest.java	(revision 5549)
@@ -3,5 +3,4 @@
 import clarin.cmdi.componentregistry.ComponentRegistry;
 import clarin.cmdi.componentregistry.ComponentRegistryFactory;
-import clarin.cmdi.componentregistry.ComponentStatus;
 import clarin.cmdi.componentregistry.components.CMDComponentSpec;
 import clarin.cmdi.componentregistry.components.CMDComponentType;
@@ -14,5 +13,5 @@
 import clarin.cmdi.componentregistry.model.ProfileDescription;
 import clarin.cmdi.componentregistry.model.RegisterResponse;
-import static clarin.cmdi.componentregistry.rest.ComponentRegistryRestService.USERSPACE_PARAM;
+import static clarin.cmdi.componentregistry.rest.ComponentRegistryRestService.REGISTRY_SPACE_PARAM;
 
 import com.sun.jersey.api.client.ClientResponse;
@@ -32,4 +31,5 @@
 
 import org.junit.Before;
+import org.junit.Ignore;
 import org.junit.Test;
 import org.springframework.beans.factory.annotation.Autowired;
@@ -53,5 +53,5 @@
     @Autowired
     private JdbcTemplate jdbcTemplate;
-    private ComponentRegistry testRegistry;
+    private ComponentRegistry baseRegistry;
 
     @Before
@@ -59,10 +59,5 @@
 	ComponentRegistryTestDatabase.resetAndCreateAllTables(jdbcTemplate);
 	createUserRecord();
-	// Get public component registry
-	testRegistry = componentRegistryBeanFactory.getNewComponentRegistry();
-    }
-
-    private ComponentRegistry getTestRegistry() {
-	return testRegistry;
+	baseRegistry = componentRegistryFactory.getBaseRegistry(DummyPrincipal.DUMMY_CREDENTIALS);
     }
 
@@ -76,39 +71,61 @@
     private ProfileDescription profile2;
     
+    private ComponentDescription component3;
+    private ProfileDescription profile3;
+    
     private Comment profile1Comment1;
     private Comment profile1Comment2;
     private Comment component1Comment3;
     private Comment component1Comment4;
-
-    private void fillUp() throws Exception {
-	profile1 = RegistryTestHelper.addProfile(getTestRegistry(), "profile2");
-	profile2 = RegistryTestHelper.addProfile(getTestRegistry(), "profile1");
-	component1 = RegistryTestHelper.addComponent(getTestRegistry(),
-		"component2");
-	component2 = RegistryTestHelper.addComponent(getTestRegistry(),
-		"component1");
-	profile1Comment2 = RegistryTestHelper.addComment(getTestRegistry(), "comment2",
+    
+    private Comment profile3Comment5;
+    private Comment component3Comment7;
+
+    private void fillUpPublicItems() throws Exception {
+        
+	profile1 = RegistryTestHelper.addProfile(baseRegistry, "profile2", true);
+	profile2 = RegistryTestHelper.addProfile(baseRegistry, "profile1", true);
+	component1 = RegistryTestHelper.addComponent(baseRegistry,
+		"component2", true);
+	component2 = RegistryTestHelper.addComponent(baseRegistry,
+		"component1", true);
+	profile1Comment2 = RegistryTestHelper.addComment(baseRegistry, "comment2",
 		ProfileDescription.PROFILE_PREFIX + "profile1",
 		"JUnit@test.com");
-	profile1Comment1 = RegistryTestHelper.addComment(getTestRegistry(), "comment1",
+	profile1Comment1 = RegistryTestHelper.addComment(baseRegistry, "comment1",
 		ProfileDescription.PROFILE_PREFIX + "profile1",
 		"JUnit@test.com");
-	component1Comment3 = RegistryTestHelper.addComment(getTestRegistry(), "comment3",
+	component1Comment3 = RegistryTestHelper.addComment(baseRegistry, "comment3",
 		ComponentDescription.COMPONENT_PREFIX + "component1",
 		"JUnit@test.com");
-	component1Comment4 = RegistryTestHelper.addComment(getTestRegistry(), "comment4",
+	component1Comment4 = RegistryTestHelper.addComment(baseRegistry, "comment4",
 		ComponentDescription.COMPONENT_PREFIX + "component1",
 		"JUnit@test.com");
     }
-
-    @Test
-    public void testGetRegisteredProfiles() throws Exception {
-	fillUp();
-	RegistryTestHelper.addProfile(getTestRegistry(), "PROFILE2");
-	List<ProfileDescription> response = getResource()
-		.path("/registry/profiles").accept(MediaType.APPLICATION_XML)
+    
+    private void fillUpPrivateItems() throws Exception {
+	profile3 = RegistryTestHelper.addProfile(baseRegistry, "profile3", false);
+	component3 = RegistryTestHelper.addComponent(baseRegistry,
+		"component3", false);
+	profile3Comment5 = RegistryTestHelper.addComment(baseRegistry, "comment5",
+		ProfileDescription.PROFILE_PREFIX + "profile3",
+		"JUnit@test.com");
+	component3Comment7 = RegistryTestHelper.addComment(baseRegistry, "comment7",
+		ComponentDescription.COMPONENT_PREFIX + "component3",
+		"JUnit@test.com");
+    }
+
+    @Test//ok
+    public void testGetPublicProfiles() throws Exception {
+        
+        fillUpPublicItems();
+        
+	RegistryTestHelper.addProfile(baseRegistry, "PROFILE2", true);
+	List<ProfileDescription> response = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles")).accept(MediaType.APPLICATION_XML)
 		.get(PROFILE_LIST_GENERICTYPE);
 	assertEquals(3, response.size());
-	response = getResource().path("/registry/profiles")
+	response = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles"))
 		.accept(MediaType.APPLICATION_JSON)
 		.get(PROFILE_LIST_GENERICTYPE);
@@ -119,13 +136,16 @@
     }
 
-    @Test
-    public void testGetRegisteredComponents() throws Exception {
-	fillUp();
-	RegistryTestHelper.addComponent(getTestRegistry(), "COMPONENT2");
-	List<ComponentDescription> response = getResource()
-		.path("/registry/components").accept(MediaType.APPLICATION_XML)
+    @Test //ok
+    public void testGetPublicComponents() throws Exception {
+        
+        fillUpPublicItems();
+        
+        RegistryTestHelper.addComponent(baseRegistry, "COMPONENT2", true);
+	List<ComponentDescription> response = this.getAuthenticatedResource(getResource()
+		.path("/registry/components")).accept(MediaType.APPLICATION_XML)
 		.get(COMPONENT_LIST_GENERICTYPE);
 	assertEquals(3, response.size());
-	response = getResource().path("/registry/components")
+	response = this.getAuthenticatedResource(getResource()
+		.path("/registry/components"))
 		.accept(MediaType.APPLICATION_JSON)
 		.get(COMPONENT_LIST_GENERICTYPE);
@@ -136,15 +156,21 @@
     }
 
-    @Test
+    @Test  //ok
     public void testGetUserComponents() throws Exception {
-	fillUp();
-	List<ComponentDescription> response = getUserComponents();
-	assertEquals(0, response.size());
-	response = getAuthenticatedResource(
-		getResource().path("/registry/components")).accept(
+        
+        fillUpPrivateItems();
+        
+       	List<ComponentDescription> response = this.getUserComponents();
+	assertEquals(1, response.size());
+        
+        ////
+        
+        fillUpPublicItems();
+	response = getAuthenticatedResource(getResource().path("/registry/components")).accept(
 		MediaType.APPLICATION_JSON).get(COMPONENT_LIST_GENERICTYPE);
 	assertEquals("Get public components", 2, response.size());
+        
 	ClientResponse cResponse = getResource().path("/registry/components")
-		.queryParam(USERSPACE_PARAM, "true")
+		.queryParam(REGISTRY_SPACE_PARAM, "private")
 		.accept(MediaType.APPLICATION_JSON).get(ClientResponse.class);
 	assertEquals("Trying to get userspace without credentials", 401,
@@ -152,19 +178,22 @@
     }
 
-    @Test
-    public void testGetRegisteredComponent() throws Exception {
-	fillUp();
-	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
+    @Test //ok
+    public void testGetPublicComponent() throws Exception {
+        
+        fillUpPublicItems();
+        
+        String id = ComponentDescription.COMPONENT_PREFIX + "component1";
 	String id2 = ComponentDescription.COMPONENT_PREFIX + "component2";
-	CMDComponentSpec component = getResource()
-		.path("/registry/components/" + id)
+	CMDComponentSpec component = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + id))
 		.accept(MediaType.APPLICATION_JSON).get(CMDComponentSpec.class);
 	assertNotNull(component);
 	assertEquals("Access", component.getCMDComponent().getName());
-	component = getResource().path("/registry/components/" + id2)
+        
+        
+	component = this.getAuthenticatedResource(getResource().path("/registry/components/" + id2))
 		.accept(MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
 	assertNotNull(component);
 	assertEquals("Access", component.getCMDComponent().getName());
-
 	assertEquals(id2, component.getHeader().getID());
 	assertEquals("component2", component.getHeader().getName());
@@ -172,16 +201,19 @@
     }
 
-    @Test
-    public void testGetRegisteredCommentsInProfile() throws Exception {
-	fillUp();
+    @Test   // ok    
+    public void testGetCommentsInPublicProfile() throws Exception {
+        
+        fillUpPublicItems();
+        
 	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
-	RegistryTestHelper.addComment(getTestRegistry(), "COMMENT1", id,
+	RegistryTestHelper.addComment(baseRegistry, "COMMENT1", id,
 		"JUnit@test.com");
-	List<Comment> response = getResource()
-		.path("/registry/profiles/" + id + "/comments/")
+	List<Comment> response = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles/" + id + "/comments/"))
 		.accept(MediaType.APPLICATION_XML)
 		.get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(3, response.size());
-	response = getResource().path("/registry/profiles/" + id + "/comments")
+        
+	response = this.getAuthenticatedResource(getResource().path("/registry/profiles/" + id + "/comments"))
 		.accept(MediaType.APPLICATION_JSON)
 		.get(COMMENT_LIST_GENERICTYPE);
@@ -194,17 +226,18 @@
     }
 
-    @Test
-    public void testGetRegisteredCommentsInComponent() throws Exception {
-	fillUp();
+    @Test // ok
+    public void testGetCommentsInPubliComponent() throws Exception {
+        fillUpPublicItems();
+        
 	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	RegistryTestHelper.addComment(getTestRegistry(), "COMMENT2", id,
+	RegistryTestHelper.addComment(baseRegistry, "COMMENT2", id,
 		"JUnit@test.com");
-	List<Comment> response = getResource()
-		.path("/registry/components/" + id + "/comments/")
+	List<Comment> response = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + id + "/comments/"))
 		.accept(MediaType.APPLICATION_XML)
 		.get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(3, response.size());
-	response = getResource()
-		.path("/registry/components/" + id + "/comments")
+	response = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + id + "/comments"))
 		.accept(MediaType.APPLICATION_JSON)
 		.get(COMMENT_LIST_GENERICTYPE);
@@ -217,16 +250,18 @@
     }
 
-    @Test
-    public void testGetSpecifiedCommentInComponent() throws Exception {
-	fillUp();
+    @Test // ok
+    public void testGetSpecifiedCommentInPublicComponent() throws Exception {
+        
+        fillUpPublicItems();
+        
 	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	Comment comment = getResource()
-		.path("/registry/components/" + id + "/comments/"+component1Comment3.getId())
+	Comment comment = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + id + "/comments/"+component1Comment3.getId()))
 		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
 	assertNotNull(comment);
 	assertEquals("comment3", comment.getComment());
 	assertEquals(component1Comment3.getId(), comment.getId());
-	comment = getResource()
-		.path("/registry/components/" + id + "/comments/"+component1Comment4.getId())
+	comment = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + id + "/comments/"+component1Comment4.getId()))
 		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
 	assertNotNull(comment);
@@ -236,17 +271,20 @@
     }
 
-    @Test
-    public void testGetSpecifiedCommentInProfile() throws Exception {
-	fillUp();
+    @Test //ok
+    public void testGetSpecifiedCommentInPublicProfile() throws Exception {
+        
+        fillUpPublicItems();
+        
 	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
-	Comment comment = getResource()
-		.path("/registry/profiles/" + id + "/comments/"+profile1Comment2.getId())
+	Comment comment = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles/" + id + "/comments/"+profile1Comment2.getId()))
 		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
 	assertNotNull(comment);
 	assertEquals("comment2", comment.getComment());
 	assertEquals(profile1Comment2.getId(), comment.getId());
-	comment = getResource()
-		.path("/registry/profiles/" + id + "/comments/"+profile1Comment1.getId())
-		.accept(MediaType.APPLICATION_JSON).get(Comment.class);
+        
+	comment = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles/" + id + "/comments/"+profile1Comment1.getId()))
+                .accept(MediaType.APPLICATION_JSON).get(Comment.class);
 	assertNotNull(comment);
 	assertEquals("comment1", comment.getComment());
@@ -255,15 +293,17 @@
     }
 
-    @Test
-    public void testDeleteCommentFromComponent() throws Exception {
-	fillUp();
+    @Test  //ok
+    public void testDeleteCommentFromPublicComponent() throws Exception {
+        
+        fillUpPublicItems();
+        
 	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
 	String id2 = ComponentDescription.COMPONENT_PREFIX + "component2";
-	List<Comment> comments = getResource().path(
-		"/registry/components/" + id + "/comments").get(
+	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
+		"/registry/components/" + id + "/comments")).get(
 		COMMENT_LIST_GENERICTYPE);
 	assertEquals(2, comments.size());
-	Comment aComment = getResource().path(
-		"/registry/components/" + id + "/comments/"+component1Comment3.getId())
+	Comment aComment = this.getAuthenticatedResource(getResource().path(
+		"/registry/components/" + id + "/comments/"+component1Comment3.getId()))
 		.get(Comment.class);
 	assertNotNull(aComment);
@@ -280,6 +320,6 @@
 	assertEquals(200, response.getStatus());
 
-	comments = getResource().path(
-		"/registry/components/" + id + "/comments/").get(
+	comments = this.getAuthenticatedResource(getResource().path(
+		"/registry/components/" + id + "/comments/")).get(
 		COMMENT_LIST_GENERICTYPE);
 	assertEquals(1, comments.size());
@@ -290,6 +330,6 @@
 	assertEquals(200, response.getStatus());
 
-	comments = getResource().path(
-		"/registry/components/" + id + "/comments").get(
+	comments = this.getAuthenticatedResource(getResource().path(
+		"/registry/components/" + id + "/comments")).get(
 		COMMENT_LIST_GENERICTYPE);
 	assertEquals(0, comments.size());
@@ -297,13 +337,15 @@
 
     @Test
-    public void testManipulateCommentFromComponent() throws Exception {
-	fillUp();
-	List<Comment> comments = getResource().path(
+    public void testManipulateCommentFromPublicComponent() throws Exception {
+        
+        fillUpPublicItems();
+        
+	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments").get(COMMENT_LIST_GENERICTYPE);
+			+ "component1/comments")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(2, comments.size());
-	Comment aComment = getResource().path(
+	Comment aComment = this.getAuthenticatedResource(getResource().path(
 		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments/"+component1Comment3.getId()).get(Comment.class);
+			+ "component1/comments/"+component1Comment3.getId())).get(Comment.class);
 	assertNotNull(aComment);
 
@@ -318,20 +360,22 @@
 	assertEquals(200, response.getStatus());
 
-	comments = getResource().path(
+	comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1/comments/").get(COMMENT_LIST_GENERICTYPE);
+			+ "component1/comments/")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(1, comments.size());
     }
 
     @Test
-    public void testDeleteCommentFromProfile() throws Exception {
-	fillUp();
-	List<Comment> comments = getResource().path(
+    public void testDeleteCommentFromPublicProfile() throws Exception {
+        
+        fillUpPublicItems();
+        
+	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments").get(COMMENT_LIST_GENERICTYPE);
+			+ "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(2, comments.size());
-	Comment aComment = getResource().path(
+	Comment aComment = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment1.getId()).get(Comment.class);
+			+ "profile1/comments/"+profile1Comment1.getId())).get(Comment.class);
 	assertNotNull(aComment);
 
@@ -347,7 +391,7 @@
 	assertEquals(200, response.getStatus());
 
-	comments = getResource().path(
+	comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/").get(COMMENT_LIST_GENERICTYPE);
+			+ "profile1/comments/")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(1, comments.size());
 
@@ -357,20 +401,22 @@
 	assertEquals(200, response.getStatus());
 
-	comments = getResource().path(
+	comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments").get(COMMENT_LIST_GENERICTYPE);
+			+ "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(0, comments.size());
     }
 
     @Test
-    public void testManipulateCommentFromProfile() throws Exception {
-	fillUp();
-	List<Comment> comments = getResource().path(
+    public void testManipulateCommentFromPublicProfile() throws Exception {
+        
+        fillUpPublicItems();
+        
+	List<Comment> comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments").get(COMMENT_LIST_GENERICTYPE);
+			+ "profile1/comments")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(2, comments.size());
-	Comment aComment = getResource().path(
+	Comment aComment = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/"+profile1Comment2.getId()).get(Comment.class);
+			+ "profile1/comments/"+profile1Comment2.getId())).get(Comment.class);
 	assertNotNull(aComment);
 
@@ -384,19 +430,21 @@
 	assertEquals(200, response.getStatus());
 
-	comments = getResource().path(
+	comments = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/comments/").get(COMMENT_LIST_GENERICTYPE);
+			+ "profile1/comments/")).get(COMMENT_LIST_GENERICTYPE);
 	assertEquals(1, comments.size());
     }
 
     @Test
-    public void testDeleteRegisteredComponent() throws Exception {
-	fillUp();
-	List<ComponentDescription> components = getResource().path(
-		"/registry/components").get(COMPONENT_LIST_GENERICTYPE);
+    public void testDeletePublicComponent() throws Exception {
+        
+        fillUpPublicItems();
+        
+	List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
+		"/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
 	assertEquals(2, components.size());
-	CMDComponentSpec profile = getResource().path(
+	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
 		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1").get(CMDComponentSpec.class);
+			+ "component1")).get(CMDComponentSpec.class);
 	assertNotNull(profile);
 	ClientResponse response = getAuthenticatedResource(
@@ -405,5 +453,5 @@
 	assertEquals(200, response.getStatus());
 
-	components = getResource().path("/registry/components").get(
+	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
 		COMPONENT_LIST_GENERICTYPE);
 	assertEquals(1, components.size());
@@ -414,5 +462,5 @@
 	assertEquals(200, response.getStatus());
 
-	components = getResource().path("/registry/components").get(
+	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
 		COMPONENT_LIST_GENERICTYPE);
 	assertEquals(0, components.size());
@@ -425,6 +473,9 @@
 
     @Test
-    public void testDeleteRegisteredComponentStillUsed() throws Exception {
-	String content = "";
+    public void testDeletePublicComponentStillUsed() throws Exception {
+        
+        fillUpPublicItems();
+        
+        String content = "";
 	content += "<CMD_ComponentSpec isProfile=\"false\" xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"\n";
 	content += "    xsi:noNamespaceSchemaLocation=\"general-component-schema.xsd\">\n";
@@ -435,5 +486,5 @@
 	content += "</CMD_ComponentSpec>\n";
 	ComponentDescription compDesc1 = RegistryTestHelper.addComponent(
-		getTestRegistry(), "XXX1", content);
+		baseRegistry, "XXX1", content, true);
 
 	content = "";
@@ -448,5 +499,5 @@
 	content += "</CMD_ComponentSpec>\n";
 	ComponentDescription compDesc2 = RegistryTestHelper.addComponent(
-		getTestRegistry(), "YYY1", content);
+		baseRegistry, "YYY1", content,true);
 
 	content = "";
@@ -461,9 +512,9 @@
 	content += "</CMD_ComponentSpec>\n";
 	ProfileDescription profile = RegistryTestHelper.addProfile(
-		getTestRegistry(), "TestProfile3", content);
-
-	List<ComponentDescription> components = getResource().path(
-		"/registry/components").get(COMPONENT_LIST_GENERICTYPE);
-	assertEquals(2, components.size());
+		baseRegistry, "TestProfile3", content, true);
+
+	List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
+		"/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
+	assertEquals(4, components.size());
 
 	ClientResponse response = getAuthenticatedResource(
@@ -475,7 +526,7 @@
 		response.getEntity(String.class));
 
-	components = getResource().path("/registry/components").get(
+	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
 		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(2, components.size());
+	assertEquals(4, components.size());
 
 	response = getAuthenticatedResource(
@@ -491,18 +542,20 @@
 		ClientResponse.class);
 	assertEquals(200, response.getStatus());
-	components = getResource().path("/registry/components").get(
+	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
 		COMPONENT_LIST_GENERICTYPE);
-	assertEquals(0, components.size());
-    }
-
-    @Test
-    public void testManipulateRegisteredComponent() throws Exception {
-	fillUp();
-	List<ComponentDescription> components = getResource().path(
-		"/registry/components").get(COMPONENT_LIST_GENERICTYPE);
 	assertEquals(2, components.size());
-	CMDComponentSpec profile = getResource().path(
+    }
+
+    @Test
+    public void testManipulatePublicComponent() throws Exception {
+        
+        fillUpPublicItems();
+        
+	List<ComponentDescription> components = this.getAuthenticatedResource(getResource().path(
+		"/registry/components")).get(COMPONENT_LIST_GENERICTYPE);
+	assertEquals(2, components.size());
+	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
 		"/registry/components/" + ComponentDescription.COMPONENT_PREFIX
-			+ "component1").get(CMDComponentSpec.class);
+			+ "component1")).get(CMDComponentSpec.class);
 	assertNotNull(profile);
 
@@ -516,5 +569,5 @@
 	assertEquals(200, response.getStatus());
 
-	components = getResource().path("/registry/components").get(
+	components = this.getAuthenticatedResource(getResource().path("/registry/components")).get(
 		COMPONENT_LIST_GENERICTYPE);
 	assertEquals(1, components.size());
@@ -529,13 +582,15 @@
     @Test
     public void testGetRegisteredProfile() throws Exception {
-	fillUp();
+        
+        fillUpPublicItems();
+        
 	String id = ProfileDescription.PROFILE_PREFIX + "profile1";
 	String id2 = ProfileDescription.PROFILE_PREFIX + "profile2";
-	CMDComponentSpec profile = getResource()
-		.path("/registry/profiles/" + id)
+	CMDComponentSpec profile = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles/" + id))
 		.accept(MediaType.APPLICATION_JSON).get(CMDComponentSpec.class);
 	assertNotNull(profile);
 	assertEquals("Actor", profile.getCMDComponent().getName());
-	profile = getResource().path("/registry/profiles/" + id2)
+	profile = this.getAuthenticatedResource(getResource().path("/registry/profiles/" + id2))
 		.accept(MediaType.APPLICATION_XML).get(CMDComponentSpec.class);
 	assertNotNull(profile);
@@ -547,7 +602,7 @@
 
 	try {
-	    profile = getResource()
+	    profile = this.getAuthenticatedResource(getResource()
 		    .path("/registry/profiles/"
-			    + ProfileDescription.PROFILE_PREFIX + "profileXXXX")
+			    + ProfileDescription.PROFILE_PREFIX + "profileXXXX"))
 		    .accept(MediaType.APPLICATION_XML)
 		    .get(CMDComponentSpec.class);
@@ -560,8 +615,10 @@
     @Test
     public void testGetRegisteredProfileRawData() throws Exception {
-	fillUp();
-	String profile = getResource()
+        
+        fillUpPublicItems();
+        
+	String profile = this.getAuthenticatedResource(getResource()
 		.path("/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/xsd").accept(MediaType.TEXT_XML)
+			+ "profile1/xsd")).accept(MediaType.TEXT_XML)
 		.get(String.class).trim();
 	assertTrue(profile
@@ -569,7 +626,7 @@
 	assertTrue(profile.endsWith("</xs:schema>"));
 
-	profile = getResource()
+	profile = this.getAuthenticatedResource(getResource()
 		.path("/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1/xml").accept(MediaType.TEXT_XML)
+			+ "profile1/xml")).accept(MediaType.TEXT_XML)
 		.get(String.class).trim();
 	assertTrue(profile
@@ -579,8 +636,8 @@
 
 	try {
-	    getResource()
+	    this.getAuthenticatedResource(getResource()
 		    .path("/registry/components/"
 			    + ComponentDescription.COMPONENT_PREFIX
-			    + "component1/xsl").accept(MediaType.TEXT_XML)
+			    + "component1/xsl")).accept(MediaType.TEXT_XML)
 		    .get(String.class);
 	    fail("Should have thrown exception, unsupported path parameter");
@@ -589,11 +646,14 @@
     }
 
+    // 
     @Test
     public void testPrivateProfileXsd() throws Exception {
+        
+        fillUpPublicItems();
+        
 	FormDataMultiPart form = createFormData(RegistryTestHelper
 		.getTestProfileContent());
-	RegisterResponse response = getAuthenticatedResource(
-		getResource().path("/registry/profiles").queryParam(
-			USERSPACE_PARAM, "true")).type(
+	RegisterResponse response = getAuthenticatedResource(getResource().path("/registry/profiles").queryParam(
+			REGISTRY_SPACE_PARAM, "private")).type(
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
@@ -601,6 +661,6 @@
 	assertEquals(1, getUserProfiles().size());
 	BaseDescription desc = response.getDescription();
-	String profile = getResource()
-		.path("/registry/profiles/" + desc.getId() + "/xsd")
+	String profile = this.getAuthenticatedResource(getResource()
+		.path("/registry/profiles/" + desc.getId() + "/xsd"))
 		.accept(MediaType.TEXT_XML).get(String.class).trim();
 	assertTrue(profile
@@ -611,9 +671,12 @@
     @Test
     public void testPrivateComponentXsd() throws Exception {
+        
+        fillUpPublicItems();
+        
 	FormDataMultiPart form = createFormData(RegistryTestHelper
 		.getComponentTestContent());
 	RegisterResponse response = getAuthenticatedResource(
 		getResource().path("/registry/components").queryParam(
-			USERSPACE_PARAM, "true")).type(
+			REGISTRY_SPACE_PARAM, "private")).type(
 		MediaType.MULTIPART_FORM_DATA).post(RegisterResponse.class,
 		form);
@@ -621,6 +684,6 @@
 	assertEquals(1, getUserComponents().size());
 	BaseDescription desc = response.getDescription();
-	String profile = getResource()
-		.path("/registry/components/" + desc.getId() + "/xsd")
+	String profile = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + desc.getId() + "/xsd"))
 		.accept(MediaType.TEXT_XML).get(String.class).trim();
 	assertTrue(profile
@@ -631,11 +694,13 @@
     @Test
     public void testDeleteRegisteredProfile() throws Exception {
-	fillUp();
-	List<ProfileDescription> profiles = getResource().path(
-		"/registry/profiles").get(PROFILE_LIST_GENERICTYPE);
+        
+        fillUpPublicItems();
+        
+	List<ProfileDescription> profiles = this.getAuthenticatedResource(getResource().path(
+		"/registry/profiles")).get(PROFILE_LIST_GENERICTYPE);
 	assertEquals(2, profiles.size());
-	CMDComponentSpec profile = getResource().path(
+	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1").get(CMDComponentSpec.class);
+			+ "profile1")).get(CMDComponentSpec.class);
 	assertNotNull(profile);
 
@@ -645,5 +710,5 @@
 	assertEquals(200, response.getStatus());
 
-	profiles = getResource().path("/registry/profiles").get(
+	profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
 		PROFILE_LIST_GENERICTYPE);
 	assertEquals(1, profiles.size());
@@ -654,5 +719,5 @@
 	assertEquals(200, response.getStatus());
 
-	profiles = getResource().path("/registry/profiles").get(
+	profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
 		PROFILE_LIST_GENERICTYPE);
 	assertEquals(0, profiles.size());
@@ -661,16 +726,18 @@
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
 			+ "profile1").delete(ClientResponse.class);
-	assertEquals(200, response.getStatus());
+	assertEquals(404, response.getStatus());
     }
 
     @Test
     public void testManipulateRegisteredProfile() throws Exception {
-	fillUp();
-	List<ProfileDescription> profiles = getResource().path(
-		"/registry/profiles").get(PROFILE_LIST_GENERICTYPE);
+        
+        fillUpPublicItems();
+        
+	List<ProfileDescription> profiles = this.getAuthenticatedResource(getResource().path(
+		"/registry/profiles")).get(PROFILE_LIST_GENERICTYPE);
 	assertEquals(2, profiles.size());
-	CMDComponentSpec profile = getResource().path(
+	CMDComponentSpec profile = this.getAuthenticatedResource(getResource().path(
 		"/registry/profiles/" + ProfileDescription.PROFILE_PREFIX
-			+ "profile1").get(CMDComponentSpec.class);
+			+ "profile1")).get(CMDComponentSpec.class);
 	assertNotNull(profile);
 
@@ -684,5 +751,5 @@
 	assertEquals(200, response.getStatus());
 
-	profiles = getResource().path("/registry/profiles").get(
+	profiles = this.getAuthenticatedResource(getResource().path("/registry/profiles")).get(
 		PROFILE_LIST_GENERICTYPE);
 	assertEquals(1, profiles.size());
@@ -697,8 +764,10 @@
     @Test
     public void testGetRegisteredComponentRawData() throws Exception {
-	fillUp();
+        
+        fillUpPublicItems();
+        
 	String id = ComponentDescription.COMPONENT_PREFIX + "component1";
-	String component = getResource()
-		.path("/registry/components/" + id + "/xsd")
+	String component = this.getAuthenticatedResource(getResource()
+		.path("/registry/components/" + id + "/xsd"))
 		.accept(MediaType.TEXT_XML).get(String.class).trim();
 	assertTrue(component
